function parametry=fitovani_Voitg(A,param)
%parametry=fitovani_Voitg(A,param)
%
%"A" je dvousloupcova matice s body, kterymi se bude prokladat Voigtuv profil, 
% prvni sloupec jsou x-ove souradnice, druhy sloupec jsou y-ove souradnice bodu. 
%"param" je vektor vstupnich odhadu tri fitovanych parametru: 
%  pozice stredu cary, parametr Gaussova profilu (sigma), parametr Lorentzova profilu (gama). 
%
%"parametry" jsou vystupni parametry fitovani: 
% pozice cary, parametr Gaussova profilu (sigma), parametr Lorentzova profilu (gama), integral cary, pozadi. 

figure; plot(A(:,1),A(:,2),'b*',A(:,1),A(:,2),'b'); hold on;
%[nic1,nic2,y]=tvarVspozadim(param,A); plot(A(:,1),y,'r'); return; %Slouzi jen k nalezeni vstupniho odhadu. 

pomoptMFE=10000; %Default: 200*numberofvariables
pomoptMI=10000;
opt=optimset('MaxFunEvals',pomoptMFE,'MaxIter',pomoptMI);

%Fitovani: 
param = fminsearch(@(param) tvarVspozadim(param,A),param,opt);
[S,parametry,y]=tvarVspozadim(param,A);
disp('Vysledne parametry fitu (pozice, sigma, gama, velikost, pozadi): '); 
parametry(1)
parametry(2)
parametry(3)
parametry(4)
parametry(5)
plot(A(:,1),A(:,2),'r'); 

%%Numericka integrace: 
%disp('Kontrola numerickou integraci: '); 
%krok=A(2:end,1)-A(1:end-1,1); 
%Mprum=(A(2:end,2)+A(1:end-1,2))/2;
%Mprum=Mprum-parametry(5);
%integral=sum(Mprum.*krok)
%(integral-parametry(4))/integral 
